Subject: New BMWG work proposal

From: [email-masked] (Kevin Dubray)
Date: Sat, 18 Jul 1998 10:05:34 -0400 (EDT)

BMWG'ers:

Please find enclosed a proposal submitted by Bob Mandeville for a new 
BMWG work item.  This new work would address new aspects in 
latency measurements.

This proposal is consistent with the BMWG charter and seeks to 
extend prior BMWG efforts.

If there are reasons why folks feel this work should not be
undertaken by the BMWG, please email me ([email-masked])
no later than 25 JUL 98. 

-Kevin

> 
> Workplan Proposal: Terminology for measuring frame by frame 
> latency and jitter
> 
> R. Mandeville, ENL
> 
> July 1998 
> 
> This memo proposes the development of standard terminology 
> for measuring frame by frame latency and jitter of network 
> interconnecting devices. We propose to develop terminology 
> and methodology documents, both prepared under the auspices 
> of the Benchmarking Working Group (BMWG) of the Internet 
> Engineering 
> Task Force (IETF).
> 
> 1.  Effort's Motivation
> 
> A great deal of effort has been concentrated on the 
> definition of a set of metrics allowing the measurement of 
> frame loss, throughput and forwarding rates in RFCs 1248, 
> 1944 and 2285. Less attention has been given to the 
> measurement of latency and almost none to the measurement 
> of jitter. As networking interconnect devices are preparing 
> to carry large amounts of delay sensitive traffic and 
> expectations that the internet will offer differentiated 
> services to users on a broad scale in the near future grow, 
> it is imperative to develop a common set of terms relative 
> to the measurement of frame by frame latency and jitter. 
> These metrics form the basis of evaluating the ability of 
> network interconnect devices to handle new traffic types 
> like Voice over IP.
> 
> RFC 1242 defines latency in section 3.8 and RFC 1944 
> defines methodolgy for the measurement of latency in 
> section 26.2. This methodology describes the measurement of 
> latency of a single frame traversing an interconnect 
> device. This document will attempt to extend those 
> discussions to the measurement of frame by frame latency 
> and jitter which has become possible through the 
> development of new techniques deployed in test 
> instrumentation.
> 
> Frame by frame latency measurements can determine the 
> effect of buffering algorithms on traffic traversing 
> networking interconnect devices subject to congestion or 
> oversubscription. Such measurements also allow the detailed 
> analysis of particular events such as rerouting or the set 
> up of special circuits to carry traffic. Jitter which can 
> be derived from frame by frame latency is especially 
> relevant to analysis of the ability of a device to handle 
> delay sensitive traffic. 
> 
> 2. Effort's Goals
> 
> The general goal of this effort is to develop standard 
> benchmarking 
> terminology for describing the measurement of frame by 
> frame latency and jitter of networking interconnect 
> devcies. 
> 
> 3.  Plan and Milestones
> 
> This effort will follow the standard BMWG procedure of 
> producing a 
> terminology document and a methodology document. 
> 
> 3.1 Terminology Document
>  
> This document will define and describe the various terms 
> used in 
> measuring the frame by frame latency and jitter of 
> networking interconnect devices. It will follow the 
> framework established in RFC 1242 [2], including for each 
> term a definition, discussion, measurement units, issues, 
> and list of related terms.
> 
> Some of the terms that require definition are:
>      frame by frame latency
>      jitter
>      sequence, sequence number
>      stream,
>      source, destination couple
>      flow
>      congestion, oversubscription
>      timestamp
>      latency distribution
>      minimum, average and maximum latency
>      latency over time
>      per stream latency
>      
> 3.1.1 Terminology Document Milestones
> 
> We propose the following timetable for completion of the 
> terminology document:
> 
> August   1998   First draft presented to BMWG
> October  1998   Second draft presented to BMWG
> December 1998   Discussion of second draft
> February 1999   Third draft presented to BMWG
> April    1999   Discussion at IETF meeting; next steps 
> discussion
> 
> 3.2  Methodology Document
> 
> This document will describe the practices used to describe 
> the measurement of frame by frame latency and jitter of 
> networking interconnect devcies. It will follow the format 
> used in RFC 1944 in describing specific requirements of the 
> test bed and test traffic, along with specific procedures 
> to follow. The procedures will follow the 
> objective/procedure/reporting format framework used in RFC 
> 1944.
> 
> 3.2.1 Methodology Document Milestones
> 
> A specific timetable does not yet exist for this document. 
> The BMWG may 
> wish to evaluate the terminology document before setting up 
> a timetable 
> for the methodology.
> 
> The author already uses a methodology close to the one that 
> will be 
> described, but it is not yet well documented. 
> 
> 4.  Security considerations.
> 
> Security considerations are similar to those set out in RFC 
> 2285. 
> 
> 
>

---

From: [email-masked]
Date: Mon, 20 Jul 1998 09:53:29 -0400

I think Bob's proposal looks good and the area is quite pertinent to
benchmarking needs.  My comment is that BMWG will want to coordinate some
of the work - at least the terminology stuff - with the IPPM. IPPM is
defining one-way delay and looking at some measures of variation in delay
as well. It seems to me that the "per device" work and the "per cloud" work
is not necessarily radically different (although the practical
methodologies probably will be).

Jim McQuaid

NetScout Systems
978 614-4116
[email-masked]